summaryrefslogtreecommitdiffstats
path: root/autogen.sh
diff options
context:
space:
mode:
authorSebastien Helleu <flashcode@flashtux.org>2005-03-20 10:04:51 +0000
committerSebastien Helleu <flashcode@flashtux.org>2005-03-20 10:04:51 +0000
commit7fe5afe3cbeef6abf2c84f2ef30d410725b66c9a (patch)
tree614e71070edb0467fa5133acc79c7a281ea15ec6 /autogen.sh
parentVersion 0.1.2-cvs (diff)
downloadweechat-7fe5afe3cbeef6abf2c84f2ef30d410725b66c9a.tar.xz
weechat-7fe5afe3cbeef6abf2c84f2ef30d410725b66c9a.zip
Check return codes in autogen.sh, remove compilation in parent dir for gui dir
Diffstat (limited to 'autogen.sh')
-rwxr-xr-xautogen.sh16
1 files changed, 16 insertions, 0 deletions
diff --git a/autogen.sh b/autogen.sh
index ba54bb85f..5ff5ce022 100755
--- a/autogen.sh
+++ b/autogen.sh
@@ -46,10 +46,26 @@ fi
echo "running aclocal..."
aclocal -I /usr/share/aclocal
+if [ $? -ne 0 ]; then
+ echo "ERROR: 'aclocal -I /usr/share/aclocal' failed!"
+ exit 1
+fi
echo "running autoconf..."
autoconf
+if [ $? -ne 0 ]; then
+ echo "ERROR: 'autoconf' failed!"
+ exit 1
+fi
echo "running autoheader..."
autoheader
+if [ $? -ne 0 ]; then
+ echo "ERROR: 'autoheader' failed!"
+ exit 1
+fi
echo "running automake..."
automake -a
+if [ $? -ne 0 ]; then
+ echo "ERROR: 'automake -a' failed!"
+ exit 1
+fi
echo "autogen.sh ok, now run ./configure script"